> ## Documentation Index
> Fetch the complete documentation index at: https://docs.specterops.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Run enrichment module

> Run a specific enrichment module on a file



## OpenAPI

````yaml /nemesis-docs/docs/nemesis-api.json post /enrichments/{enrichment_name}
openapi: 3.1.0
info:
  title: Enrichment API
  description: API for file enrichment services
  version: 0.1.0
servers:
  - url: /api
security: []
tags:
  - name: files
    description: File management operations
  - name: workflows
    description: Workflow management operations
  - name: enrichments
    description: Enrichment management operations
  - name: system
    description: System and health check endpoints
paths:
  /enrichments/{enrichment_name}:
    post:
      tags:
        - enrichments
      summary: Run enrichment module
      description: Run a specific enrichment module on a file
      operationId: run_enrichment_enrichments__enrichment_name__post
      parameters:
        - name: enrichment_name
          in: path
          required: true
          schema:
            type: string
            description: Name of the enrichment module to run
            title: Enrichment Name
          description: Name of the enrichment module to run
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnrichmentRequest'
              description: The enrichment request containing the object ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichmentResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    EnrichmentRequest:
      properties:
        object_id:
          type: string
          title: Object Id
      type: object
      required:
        - object_id
      title: EnrichmentRequest
    EnrichmentResponse:
      properties:
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
        instance_id:
          type: string
          title: Instance Id
        object_id:
          type: string
          title: Object Id
      type: object
      required:
        - status
        - message
        - instance_id
        - object_id
      title: EnrichmentResponse
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message details
      type: object
      required:
        - detail
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````